flag.arrayCGH {MANOR} | R Documentation

## Apply a flag to an arrayCGH

### Description

Function `flag$FUN` is applied to a `flag` object for normalization

### Usage

    flag.arrayCGH(flag, arrayCGH)

### Arguments

`flag` | an object of type 'flag'
`arrayCGH` | an object of type `arrayCGH`

### Details

Optional arguments in `flag$args` are passed to `flag$FUN`

### Value

An object of class `arrayCGH`, which corresponds to the return value of `flag$FUN` if `flag$char` is null, and to the input `arrayCGH` object with spots given by `flag$FUN` flagged with `flag$char`

### Note

People interested in tools for array-CGH analysis can visit our web-page: http://bioinfo.curie.fr.

### Author(s)

Pierre Neuvial, manor@curie.fr.

### See Also

`to.flag`, `norm.arrayCGH`

### Examples

    data(spatial)
    data(flags)

    gradient$arrayValues$LogRatioNorm <- gradient$arrayValues$LogRatio
    ## flag spots with no available position on the genome
    gradient <- flag.arrayCGH(position.flag, gradient)

    ## flag spots corresponding to low poor quality clones
    gradient <- flag.arrayCGH(val.mark.flag, gradient)

    ## flag spots excluded by Genepix pro
    gradient <- flag.arrayCGH(spot.flag, gradient)

    ## flag local spatial bias zones
    ## Not run: gradient <- flag.arrayCGH(local.spatial.flag, gradient)

    ## correct global spatial bias
    gradient <- flag.arrayCGH(global.spatial.flag, gradient)

    ## flag spots with low signal to noise
    gradient <- flag.arrayCGH(SNR.flag, gradient)

    ## flag spots with extremely high log-ratios
    gradient <- flag.arrayCGH(amplicon.flag, gradient)

    ## flag spots with poor within replicate consistency
    gradient <- flag.arrayCGH(replicate.flag, gradient)

    ## flag spots corresponding to clones for which all other spot
    ## replicates have already been flagged
    gradient <- flag.arrayCGH(unique.flag, gradient)

    summary.factor(gradient$arrayValues$Flag)

[Package MANOR version 1.16.0 Index]